GDBserver

Enumerations | Functions | Variables
linux-s390-tdesc.h File Reference

Go to the source code of this file.

## Enumerations
enum | s390_linux_tdesc { S390_TDESC_32, S390_TDESC_32V1, S390_TDESC_32V2, S390_TDESC_64, S390_TDESC_64V1, S390_TDESC_64V2, S390_TDESC_TE, S390_TDESC_VX, S390_TDESC_TEVX, S390_TDESC_GS }

## Functions
void | init_registers_s390_linux32 (void)
void | init_registers_s390_linux32v1 (void)
void | init_registers_s390_linux32v2 (void)
void | init_registers_s390_linux64 (void)
void | init_registers_s390_linux64v1 (void)
void | init_registers_s390_linux64v2 (void)
void | init_registers_s390_te_linux64 (void)
void | init_registers_s390_vx_linux64 (void)
void | init_registers_s390_tevx_linux64 (void)
void | init_registers_s390_gs_linux64 (void)

## Variables
const struct target_desc * | tdesc_s390_linux32
const struct target_desc * | tdesc_s390_linux32v1
const struct target_desc * | tdesc_s390_linux32v2
const struct target_desc * | tdesc_s390_linux64
const struct target_desc * | tdesc_s390_linux64v1
const struct target_desc * | tdesc_s390_linux64v2
const struct target_desc * | tdesc_s390_te_linux64
const struct target_desc * | tdesc_s390_vx_linux64
const struct target_desc * | tdesc_s390_tevx_linux64
const struct target_desc * | tdesc_s390_gs_linux64

## Enumeration Type Documentation

## ◆ s390_linux_tdesc

enum s390_linux_tdesc

Enumerator
S390_TDESC_32 |
S390_TDESC_32V1 |
S390_TDESC_32V2 |
S390_TDESC_64 |
S390_TDESC_64V1 |
S390_TDESC_64V2 |
S390_TDESC_TE |
S390_TDESC_VX |
S390_TDESC_TEVX |
S390_TDESC_GS |

Definition at line 24 of file linux-s390-tdesc.h.

## Function Documentation

## ◆ init_registers_s390_gs_linux64()

void init_registers_s390_gs_linux64 | ( | void |  | ) |

Referenced by initialize_low_arch().

## ◆ init_registers_s390_linux32()

void init_registers_s390_linux32 | ( | void |  | ) |

Referenced by initialize_low_arch(), and initialize_low_tracepoint().

## ◆ init_registers_s390_linux32v1()

void init_registers_s390_linux32v1 | ( | void |  | ) |

Referenced by initialize_low_arch(), and initialize_low_tracepoint().

## ◆ init_registers_s390_linux32v2()

void init_registers_s390_linux32v2 | ( | void |  | ) |

Referenced by initialize_low_arch(), and initialize_low_tracepoint().

## ◆ init_registers_s390_linux64()

void init_registers_s390_linux64 | ( | void |  | ) |

Referenced by initialize_low_arch(), and initialize_low_tracepoint().

## ◆ init_registers_s390_linux64v1()

void init_registers_s390_linux64v1 | ( | void |  | ) |

Referenced by initialize_low_arch(), and initialize_low_tracepoint().

## ◆ init_registers_s390_linux64v2()

void init_registers_s390_linux64v2 | ( | void |  | ) |

Referenced by initialize_low_arch(), and initialize_low_tracepoint().

## ◆ init_registers_s390_te_linux64()

void init_registers_s390_te_linux64 | ( | void |  | ) |

Referenced by initialize_low_arch(), and initialize_low_tracepoint().

## ◆ init_registers_s390_tevx_linux64()

void init_registers_s390_tevx_linux64 | ( | void |  | ) |

Referenced by initialize_low_arch(), and initialize_low_tracepoint().

## ◆ init_registers_s390_vx_linux64()

void init_registers_s390_vx_linux64 | ( | void |  | ) |

Referenced by initialize_low_arch(), and initialize_low_tracepoint().

## Variable Documentation

## ◆ tdesc_s390_gs_linux64

const struct target_desc* tdesc_s390_gs_linux64

Referenced by s390_arch_setup().

## ◆ tdesc_s390_linux32

const struct target_desc* tdesc_s390_linux32

Referenced by get_ipa_tdesc(), s390_arch_setup(), and s390_get_ipa_tdesc_idx().

## ◆ tdesc_s390_linux32v1

const struct target_desc* tdesc_s390_linux32v1

Referenced by get_ipa_tdesc(), s390_arch_setup(), and s390_get_ipa_tdesc_idx().

## ◆ tdesc_s390_linux32v2

const struct target_desc* tdesc_s390_linux32v2

Referenced by get_ipa_tdesc(), s390_arch_setup(), and s390_get_ipa_tdesc_idx().

## ◆ tdesc_s390_linux64

const struct target_desc* tdesc_s390_linux64

Referenced by get_ipa_tdesc(), s390_arch_setup(), and s390_get_ipa_tdesc_idx().

## ◆ tdesc_s390_linux64v1

const struct target_desc* tdesc_s390_linux64v1

Referenced by get_ipa_tdesc(), s390_arch_setup(), and s390_get_ipa_tdesc_idx().

## ◆ tdesc_s390_linux64v2

const struct target_desc* tdesc_s390_linux64v2

Referenced by get_ipa_tdesc(), s390_arch_setup(), and s390_get_ipa_tdesc_idx().

## ◆ tdesc_s390_te_linux64

const struct target_desc* tdesc_s390_te_linux64

Referenced by get_ipa_tdesc(), s390_arch_setup(), and s390_get_ipa_tdesc_idx().

## ◆ tdesc_s390_tevx_linux64

const struct target_desc* tdesc_s390_tevx_linux64

Referenced by get_ipa_tdesc(), s390_arch_setup(), and s390_get_ipa_tdesc_idx().

## ◆ tdesc_s390_vx_linux64

const struct target_desc* tdesc_s390_vx_linux64

Referenced by get_ipa_tdesc(), s390_arch_setup(), and s390_get_ipa_tdesc_idx().